Airdrop

Discover Airdrop External Sync Units

POST
/airdrop.external-sync-units.discover

Request to discover external sync units on a given external system of record.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Request Body

application/json

external_import_slug?string

External import slug which will perform external sync unit discovery, only populated for adaas external system type.

Formattext
external_system_type*string
Value in"adaas" | "confluence" | "github" | "hubspot" | "jira" | "jira_data_center" | "linear" | "rocketlane" | "s3" | "salesforce_sales" | "salesforce_service" | "servicenow" | "sim" | "zendesk"
import_slug?string

Import slug which will perform external sync unit discovery, only populated for adaas external system type.

Formattext
keyring*string

Keyring that will be used for external sync unit discovery.

Formatid
snap_in_slug?string

Snap in slug which will perform external sync unit discovery, only populated for adaas external system type.

Formattext

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.devrev.ai/airdrop.external-sync-units.discover" \  -H "Content-Type: application/json" \  -d '{    "external_system_type": "adaas",    "keyring": "string"  }'
{}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden",
  "object_ids": [
    "string"
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}